package com.kxs.common.pay.service.wechat;

import com.kxs.common.pay.config.WechatAccountConfig;
import com.kxs.common.pay.model.*;
import com.kxs.common.pay.service.PayService;
import com.lly835.bestpay.config.WxPayConfig;
import jakarta.servlet.http.HttpServletRequest;
import lombok.RequiredArgsConstructor;

/**
 * 微信支付 服务
 *
 * @author 没秃顶的码农
 * @date 2024-04-24
 */
@RequiredArgsConstructor
public class WxPayService implements PayService {

    private final WxPayConfig wxPayConfig;

    private final WechatAccountConfig wechatAccountConfig;


    @Override
    public PayResponse appPay(PayRequest payReq) {
        return null;
    }

    @Override
    public QueryResponse query(QueryRequest queryReq) {
        return null;
    }

    @Override
    public RefundResponse refund(RefundRequest refundReq) {
        return null;
    }

    @Override
    public String payBack(HttpServletRequest request) {
        return null;
    }

}
